import * as plugins from '../../plugins.js';
export declare class AcmeCertDoc extends plugins.smartdata.SmartDataDbDoc<AcmeCertDoc, AcmeCertDoc> {
    domainName: string;
    id: string;
    created: number;
    privateKey: string;
    publicKey: string;
    csr: string;
    validUntil: number;
    constructor();
    static findByDomain(domainName: string): Promise<AcmeCertDoc | null>;
    static findAll(): Promise<AcmeCertDoc[]>;
}
